Subject: Re: [MOBILE-IP] Registration Reply

From: Bryan Cook <[email-masked]>
Date: Wed, 11 Oct 2000 12:40:55 -0700

Greeting Mobile IP folks,

I am very new to this list, so forgive me if my questions seems inappropriate.
I work for a large
cellular company (you might have heard of it).  I am interested in the
following:

-  What are currently the "hot points" surrounding Mobile IP, i.e. what broad
topics are debated
that still need resolved?
- Are there any people out there (or groups) that are looking at Mobile IP
specifically from a
large cellular provider perspective?  What topics bear the strongest relevance
to this application?
- Interoperability:  Who is managing interop for large developers of Mobile IP
products (Cisco, Nortel,
Lucent, etc.)
- What is the current status of the standard?

I would certainly appreciate answers to these questions, or referals to sources
of info if that is
appropriate as well!

Thanks much.....

P.S. Count one more vote in favor of the tarring and feathering of spammers

"Gowri S.Makineni" <[email-masked]> on 10/11/2000 12:39:58 PM

Please respond to "Gowri S.Makineni" <[email-masked]>

To:   [email-masked]
cc:    (bcc: Bryan Cook/Corporate/AirTouch)
Subject:  Re: [MOBILE-IP] Registration Reply

At 10:46 AM 10/11/00 -0700, Meeta Sharma wrote:
>hi,
>thanks for this reply..
>i have another question..
>The HA agent might only have the option of supporting one binding..and
>then if it gets a req(i+1)..and it has already granted req(i) for the same
>binding then would it reject(i+1)?
>also, then if it rejects then the tunnel would not be complete..?
>I am wrong somewhere in my conclusion?

The registration gets updated, since the shuttle uses the same care of address
of the FA. The HA does not distinguish between the request of i+1 or i+10.
If you want multiple bindings the shuttle should specify that it
needs bindings and turn the 'S' bit flag ON in the registration request or
else
the information at the HA is just updated for that shuttle.

By the definition of bindings means that the shuttle has multiple care of
addresses and it is registering all those addresses with the HA.

-GSM

>Thanks,
>Regards,
>-Meeta

Gowri Shankar Makineni
Sr. Systems Engineer,
Ecutel
(703)354-4140 X-110
----------------------------------------------------------